package com.ruoyi.zongzhi.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.zongzhi.mapper.TcSafetyDangerMapper;
import com.ruoyi.zongzhi.domain.TcSafetyDanger;
import com.ruoyi.zongzhi.service.ITcSafetyDangerService;

/**
 * 安全隐患Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
@Service
public class TcSafetyDangerServiceImpl implements ITcSafetyDangerService 
{
    @Autowired
    private TcSafetyDangerMapper tcSafetyDangerMapper;

    /**
     * 查询安全隐患
     * 
     * @param id 安全隐患主键
     * @return 安全隐患
     */
    @Override
    public TcSafetyDanger selectTcSafetyDangerById(Long id)
    {
        return tcSafetyDangerMapper.selectTcSafetyDangerById(id);
    }

    /**
     * 查询监管单位列表
     * 
     * @param tcSafetyDanger 监管单位
     * @return 监管单位
     */
    @Override
    public List<TcSafetyDanger> selectTcSafetyDangerList(TcSafetyDanger tcSafetyDanger)
    {
        return tcSafetyDangerMapper.selectTcSafetyDangerList(tcSafetyDanger);
    }

    /**
     * 新增监管单位
     * 
     * @param tcSafetyDanger 监管单位
     * @return 结果
     */
    @Override
    public int insertTcSafetyDanger(TcSafetyDanger tcSafetyDanger)
    {
        tcSafetyDanger.setCreateTime(DateUtils.getNowDate());
        return tcSafetyDangerMapper.insertTcSafetyDanger(tcSafetyDanger);
    }

    /**
     * 修改监管单位
     * 
     * @param tcSafetyDanger 监管单位
     * @return 结果
     */
    @Override
    public int updateTcSafetyDanger(TcSafetyDanger tcSafetyDanger)
    {
        tcSafetyDanger.setUpdateTime(DateUtils.getNowDate());
        return tcSafetyDangerMapper.updateTcSafetyDanger(tcSafetyDanger);
    }

    /**
     * 批量删除监管单位
     * 
     * @param ids 需要删除的监管单位主键
     * @return 结果
     */
    @Override
    public int deleteTcSafetyDangerByIds(Long[] ids)
    {
        return tcSafetyDangerMapper.deleteTcSafetyDangerByIds(ids);
    }

    /**
     * 删除监管单位信息
     * 
     * @param id 监管单位主键
     * @return 结果
     */
    @Override
    public int deleteTcSafetyDangerById(Long id)
    {
        return tcSafetyDangerMapper.deleteTcSafetyDangerById(id);
    }
}
